Debian Bug report logs - #594827
installation-reports: kFreeBSD install using daily-build 20100828-3

Package: console-setup-udeb; Maintainer for console-setup-udeb is Debian Install System Team <debian-boot@lists.debian.org>; Source for console-setup-udeb is src:console-setup.

Reported by: Michael Dorrington <michael.dorrington@gmail.com>

Date: Sun, 29 Aug 2010 22:48:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#594827; Package installation-reports. (Sun, 29 Aug 2010 22:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>. (Sun, 29 Aug 2010 22:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: submit@bugs.debian.org
Subject: installation-reports: kFreeBSD install using daily-build 20100828-3
Date: Sun, 29 Aug 2010 23:44:21 +0100
[Message part 1 (text/plain, inline)]
Package: installation-reports
Severity: normal
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-CC: debian-bsd@lists.debian.org


-- Package-specific info:

Boot method: CD
Image version:
http://cdimage.debian.org/cdimage/daily-builds/daily/20100828-3/kfreebsd-i386/iso-cd/debian-testing-kfreebsd-i386-netinst.iso
Date: 2010-08-28

Machine: KVM 0.9.1
Partitions: <df -Tl will do; the raw partition table is preferred>

Disk /dev/ad0: 0 MB, 0 bytes
255 heads, 63 sectors/track, 0 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x000b4138

    Device Boot      Start         End      Blocks   Id  System
/dev/ad0p1   *           1        2497    20051968   a5  FreeBSD
Partition 1 has different physical/logical endings:
     phys=(1023, 254, 63) logical=(2496, 122, 58)
/dev/ad0p2            2497        2611      916481    5  Extended
Partition 2 has different physical/logical beginnings (non-Linux?):
     phys=(1023, 254, 63) logical=(2496, 155, 26)
Partition 2 has different physical/logical endings:
     phys=(1023, 254, 63) logical=(2610, 180, 2)
/dev/ad0p5            2497        2611      916480   82  Linux swap /
Solaris

Filesystem    Type   1K-blocks      Used Available Use% Mounted on
/dev/ad0s1     ufs    19418446   3013244  14851728  17% /
devfs        devfs           1         1         0 100% /dev
linprocfs
         linprocfs           4         4         0 100% /proc
/sys         sysfs           4         4         0 100% /sys
fdescfs    fdescfs           1         1         0 100% /dev/fd
tmpfs        tmpfs     1575252         4   1575248   1% /lib/init/rw

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [O]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [O]
Install base system:    [O]
Clock/timezone setup:   [O]
User/password setup:    [O]
Install tasks:          [O]
Install boot loader:    [O]
Overall install:        [E]

Comments/Problems:

In the install menus the first character isn't highlighted when the item is
selected.

Graphical desktop install went through, although on boot gdm3 gives a black
screen as reported in http://bugs.debian.org/592549 .

Despite choosing UK keyboard on install still had to do 'dpkg-reconfigure
kbdcontrol' and choose 'uk.iso.kbd' to get correct keymap on console.

The '-k' of 'lspci -knn' doesn't work. I guess this is a Linux only
option.

lspci -nn:
00:00.0 Host bridge [0600]: Intel Corporation 440FX - 82441FX PMC
[Natoma] [8086:1237] (rev 02)
00:01.0 ISA bridge [0601]: Intel Corporation 82371SB PIIX3 ISA
[Natoma/Triton II] [8086:7000]
00:01.1 IDE interface [0101]: Intel Corporation 82371SB PIIX3 IDE
[Natoma/Triton II] [8086:7010]
00:01.3 Bridge [0680]: Intel Corporation 82371AB/EB/MB PIIX4 ACPI
[8086:7113] (rev 03)
00:02.0 VGA compatible controller [0300]: Cirrus Logic GD 5446 [1013:00b8]
00:03.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ [10ec:8139] (rev 20)


-- 

Please make sure that the hardware-summary log file, and any other
installation logs that you think would be useful are attached to this
report. Please compress large files using gzip.

Once you have filled out this report, mail it to submit@bugs.debian.org.

==============================================
Installer lsb-release:
==============================================
DISTRIB_ID=Debian
DISTRIB_DESCRIPTION="Debian GNU/kFreeBSD installer"
DISTRIB_RELEASE="6.0 (squeeze) - installer build 20100827-10:20"
X_INSTALLATION_MEDIUM=cdrom

==============================================
Installer hardware-summary:
==============================================
uname -a: GNU/kFreeBSD debian-kfreebsd-i386-3 8.1-1-486 #0 Tue Aug 17
22:35:34 CEST 2010 i686 GNU/Linux
lspci -knn: Usage: lspci [<switches>]
lspci -knn:
lspci -knn: Basic display modes:
lspci -knn: -mm		Produce machine-readable output (single -m for an
obsolete format)
lspci -knn: -t		Show bus tree
lspci -knn:
lspci -knn: Display options:
lspci -knn: -v		Be verbose (-vv for very verbose)
lspci -knn: -x		Show hex-dump of the standard part of the config space
lspci -knn: -xxx		Show hex-dump of the whole config space (dangerous;
root only)
lspci -knn: -xxxx		Show hex-dump of the 4096-byte extended config space
(root only)
lspci -knn: -b		Bus-centric view (addresses and IRQ's as seen by the bus)
lspci -knn: -D		Always show domain numbers
lspci -knn:
lspci -knn: Resolving of device ID's to names:
lspci -knn: -n		Show numeric ID's
lspci -knn: -nn		Show both textual and numeric ID's (names & numbers)
lspci -knn: -q		Query the PCI ID database for unknown ID's via DNS
lspci -knn: -qq		As above, but re-query locally cached entries
lspci -knn: -Q		Query the PCI ID database for all ID's via DNS
lspci -knn:
lspci -knn: Selection of devices:
lspci -knn: -s [[[[<domain>]:]<bus>]:][<slot>][.[<func>]]	Show only
devices in selected slots
lspci -knn: -d [<vendor>]:[<device>]			Show only devices with specified ID's
lspci -knn:
lspci -knn: Other options:
lspci -knn: -i <file>	Use specified ID database instead of
/usr/share/misc/pci.ids.gz
lspci -knn: -M		Enable `bus mapping' mode (dangerous; root only)
lspci -knn:
lspci -knn: PCI access options:
lspci -knn: -A <method>	Use the specified PCI access method (see `-A
help' for a list)
lspci -knn: -O <par>=<val>	Set PCI access parameter (see `-O help' for a
list)
lspci -knn: -G		Enable PCI access debugging
lspci -knn: -F <file>	Read PCI configuration dump from a given file
usb-list: Error: directory /sys/bus does not exist; is sysfs mounted?
kldstat: Id Refs Address    Size     Name
kldstat:  1    5 0xc0400000 7e6000   kfreebsd.gz
kldstat:  2    1 0xc6906000 10000    ext2fs.ko
kldstat:  3    1 0xc727a000 4000     nullfs.ko
df: Filesystem           1K-blocks      Used Available Use% Mounted on
df: /dev/md0                 42479     29940     12539  70% /
df: devfs                        1         1         0 100% /dev
df: devfs                        1         1         0 100% /dev
df: fdescfs                      1         1         0 100% /dev/fd
df: linprocfs                    4         4         0 100% /proc
df: /sys                         4         4         0 100% /sys
df: /dev/ad0s1            19418446   2942116  14922856  16% /target
df: devfs                        1         1         0 100% /dev
df: linprocfs                    4         4         0 100% /proc
df: /sys                         4         4         0 100% /sys
df: devfs                        1         1         0 100% /target/dev
free: /usr/bin/report-hw: line 59: free: not found
/proc/cmdline: BOOT_IMAGE=/kernel ro root=302
/proc/cpuinfo: processor	: 0
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 7
/proc/cpuinfo: model name	: QEMU Virtual CPU version 0.9.1
/proc/cpuinfo: stepping	: 3
/proc/cpuinfo: flags		: fpu de pse tsc msr pae mce cx8 apic sep mtrr pge
mca cmov pat pse36 mmx fxsr xmm sse2
/proc/cpuinfo: cpu MHz		: 1995.01
/proc/cpuinfo: bogomips	: 1995.01
/proc/meminfo: 	     total:    used:	free:  shared: buffers:	 cached:
/proc/meminfo: Mem:  750157824 124813312 625344512 1916928 0 28553216
/proc/meminfo: Swap: 938475520 0 938475520
/proc/meminfo: MemTotal:    732576 kB
/proc/meminfo: MemFree:     610688 kB
/proc/meminfo: MemShared:     1872 kB
/proc/meminfo: Buffers:          0 kB
/proc/meminfo: Cached:       27884 kB
/proc/meminfo: SwapTotal:   916480 kB
/proc/meminfo: SwapFree:    916480 kB

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 8.1-1-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#594827; Package installation-reports. (Sun, 29 Aug 2010 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 29 Aug 2010 23:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 594827@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Michael Dorrington <michael.dorrington@gmail.com>
Cc: 594827@bugs.debian.org
Subject: Re: Bug#594827: installation-reports: kFreeBSD install using daily-build 20100828-3
Date: Mon, 30 Aug 2010 01:24:48 +0200
Michael Dorrington, le Sun 29 Aug 2010 23:44:21 +0100, a écrit :
> The '-k' of 'lspci -knn' doesn't work. I guess this is a Linux only
> option.

Confirmed:

#ifdef PCI_OS_LINUX
      case 'k':
	opt_kernel++;
	break;
#endif

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#594827; Package installation-reports. (Mon, 30 Aug 2010 07:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 30 Aug 2010 07:09:06 GMT) Full text and rfc822 format available.

Message #15 received at submit@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Michael Dorrington <michael.dorrington@gmail.com>, 594827@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#594827: installation-reports: kFreeBSD install using daily-build 20100828-3
Date: Mon, 30 Aug 2010 06:38:07 +0200
[Message part 1 (text/plain, inline)]
Quoting Michael Dorrington (michael.dorrington@gmail.com):

Thanks for your report.

> Despite choosing UK keyboard on install still had to do 'dpkg-reconfigure
> kbdcontrol' and choose 'uk.iso.kbd' to get correct keymap on console.

Hmmm, I'm afraid I know nothing to kFreeBSD but is this "kbdcontrol"
package the equivalent of console-data and stuff?


> 
> The '-k' of 'lspci -knn' doesn't work. I guess this is a Linux only
> option.


Did this lead to a problem in D-I or do you just report this because
you couldn't, at first, include lspci output in the installation
report?


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#594827; Package installation-reports. (Mon, 30 Aug 2010 07:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 30 Aug 2010 07:09:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#594827; Package installation-reports. (Mon, 30 Aug 2010 12:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 30 Aug 2010 12:42:07 GMT) Full text and rfc822 format available.

Message #25 received at 594827@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: 594827@bugs.debian.org
Subject: Re: Bug#594827: installation-reports: kFreeBSD install using daily-build 20100828-3
Date: Mon, 30 Aug 2010 13:39:23 +0100
[Message part 1 (text/plain, inline)]
Christian PERRIER wrote:
> Quoting Michael Dorrington (michael.dorrington@gmail.com):
[...]
>> Despite choosing UK keyboard on install still had to do 'dpkg-reconfig=
ure
>> kbdcontrol' and choose 'uk.iso.kbd' to get correct keymap on console.
>=20
> Hmmm, I'm afraid I know nothing to kFreeBSD but is this "kbdcontrol"
> package the equivalent of console-data and stuff?

AFAIK, yes.
http://packages.debian.org/squeeze/kbdcontrol

>> The '-k' of 'lspci -knn' doesn't work. I guess this is a Linux only
>> option.
>=20
>=20
> Did this lead to a problem in D-I or do you just report this because
> you couldn't, at first, include lspci output in the installation
> report?

It didn't lead to a problem in D-I, only in the installation reporting.
A report from kfreebsd-* won't include PCI information unless the
installation reporter notices that 'lspci -knn' is just listing the help
page rather than the PCI devices.

Mike.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#594827; Package installation-reports. (Mon, 30 Aug 2010 18:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 30 Aug 2010 18:51:05 GMT) Full text and rfc822 format available.

Message #30 received at 594827@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Michael Dorrington <michael.dorrington@gmail.com>, 594827@bugs.debian.org
Subject: Re: Bug#594827: installation-reports: kFreeBSD install using daily-build 20100828-3
Date: Mon, 30 Aug 2010 18:19:28 +0200
[Message part 1 (text/plain, inline)]
clone 594827 -1
retitle -1 Shouldn't use 'lspci -k' on kFreeBSD and Hurd
reassign -1 installation-report
thanks

Quoting Michael Dorrington (michael.dorrington@gmail.com):

> >> The '-k' of 'lspci -knn' doesn't work. I guess this is a Linux only
> >> option.
> >=20
> >=20
> > Did this lead to a problem in D-I or do you just report this because
> > you couldn't, at first, include lspci output in the installation
> > report?
> 
> It didn't lead to a problem in D-I, only in the installation reporting.
> A report from kfreebsd-* won't include PCI information unless the
> installation reporter notices that 'lspci -knn' is just listing the help
> page rather than the PCI devices.


OK, then. Cloning this bug report and assign this part to the
installation-report package.

In short, for kFreeBSD and Hurd, we should use "lspci -nn" if I
understood properly.

Thanks for your help understanding this issue (and thanks for taking
care to mention it).


[signature.asc (application/pgp-signature, inline)]

Bug 594827 cloned as bug 594919. Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Mon, 30 Aug 2010 18:51:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#594827; Package installation-reports. (Mon, 30 Aug 2010 18:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 30 Aug 2010 18:57:12 GMT) Full text and rfc822 format available.

Message #37 received at 594827@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Michael Dorrington <michael.dorrington@gmail.com>, 594827@bugs.debian.org
Subject: Re: Bug#594827: installation-reports: kFreeBSD install using daily-build 20100828-3
Date: Mon, 30 Aug 2010 18:27:56 +0200
[Message part 1 (text/plain, inline)]
Quoting Michael Dorrington (michael.dorrington@gmail.com):

> > Hmmm, I'm afraid I know nothing to kFreeBSD but is this "kbdcontrol"
> > package the equivalent of console-data and stuff?
> 
> AFAIK, yes.
> http://packages.debian.org/squeeze/kbdcontrol


From what I see in the packages' list for D-I in kFreeBSD, it doesn't
use kbd-chooser but it does use console-keymaps-at. I don't really
figure out what's used  to setup the keymap in D-I for kFreeBSD but
it's likely to be using console-keymaps-at.

If so, what we might need is some kind of mapping between both sets of
keymaps and/or have kbdcontrol choose the right keymap wrt the keymap
chosen in D-I (kept in console-keymaps-at/keymap).


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#594827; Package installation-reports. (Sat, 03 Mar 2012 18:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 03 Mar 2012 18:03:04 GMT) Full text and rfc822 format available.

Message #42 received at 594827@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: 594827@bugs.debian.org
Subject: Re: Bug#594827: installation-reports: kFreeBSD install using, daily-build 20100828-3
Date: Sat, 03 Mar 2012 18:00:09 +0000
[Message part 1 (text/plain, inline)]
reassign 594827 kbdcontrol
thanks

The only remaining issue raised is with kbdcontrol so reassigning to that.


[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'installation-reports' to 'kbdcontrol'. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 03 Mar 2012 18:03:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594827; Package kbdcontrol. (Sat, 03 Mar 2012 18:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 03 Mar 2012 18:24:03 GMT) Full text and rfc822 format available.

Message #49 received at 594827@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: 594827@bugs.debian.org
Subject: Re: Bug#594827: installation-reports: kFreeBSD install using, daily-build 20100828-3
Date: Sat, 03 Mar 2012 18:21:24 +0000
[Message part 1 (text/plain, inline)]
forcemerge 661825 594827
thanks

Keyboard issue has been raised in #661825 so merging.


[signature.asc (application/pgp-signature, attachment)]

Forcibly Merged 594827 661825. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 03 Mar 2012 18:24:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594827; Package kbdcontrol. (Sat, 03 Mar 2012 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 03 Mar 2012 22:45:03 GMT) Full text and rfc822 format available.

Message #56 received at 594827@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Michael Dorrington <michael.dorrington@gmail.com>, 594827@bugs.debian.org
Subject: Re: Bug#594827: installation-reports: kFreeBSD install using, daily-build 20100828-3
Date: Sat, 3 Mar 2012 23:40:46 +0100
reassign 594827 console-setup-udeb
done 594827 1.75
thanks

Michael Dorrington, le Sat 03 Mar 2012 18:00:09 +0000, a écrit :
> reassign 594827 kbdcontrol
> thanks
> 
> The only remaining issue raised is with kbdcontrol so reassigning to that.

Actually it's rather console-setup-udeb, and I believe it is fixed in
the latest versions.

Samuel




Bug reassigned from package 'kbdcontrol' to 'console-setup-udeb'. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 22:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#594827; Package console-setup-udeb. (Sat, 03 Mar 2012 23:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 03 Mar 2012 23:00:07 GMT) Full text and rfc822 format available.

Message #63 received at 594827@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 594827@bugs.debian.org
Cc: Michael Dorrington <michael.dorrington@gmail.com>
Subject: Re: Bug#594827: installation-reports: kFreeBSD install using, daily-build 20100828-3
Date: Sat, 3 Mar 2012 23:57:59 +0100
El 3 de març de 2012 23:40, Samuel Thibault <sthibault@debian.org> ha escrit:
> Michael Dorrington, le Sat 03 Mar 2012 18:00:09 +0000, a écrit :
>> reassign 594827 kbdcontrol
>> thanks
>>
>> The only remaining issue raised is with kbdcontrol so reassigning to that.
>
> Actually it's rather console-setup-udeb, and I believe it is fixed in
> the latest versions.

Are you sure?  I don't see anything in 1.75 indicating a fix.  I also
can't see how a change in D-I can help "dpkg-reconfigure
keyboard-configuration" work in an installed system.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#594827; Package console-setup-udeb. (Sat, 03 Mar 2012 23:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 03 Mar 2012 23:09:03 GMT) Full text and rfc822 format available.

Message #68 received at 594827@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 594827@bugs.debian.org, Michael Dorrington <michael.dorrington@gmail.com>
Subject: Re: Bug#594827: installation-reports: kFreeBSD install using, daily-build 20100828-3
Date: Sun, 4 Mar 2012 00:07:57 +0100
Robert Millan, le Sat 03 Mar 2012 23:57:59 +0100, a écrit :
> El 3 de març de 2012 23:40, Samuel Thibault <sthibault@debian.org> ha escrit:
> > Michael Dorrington, le Sat 03 Mar 2012 18:00:09 +0000, a écrit :
> >> reassign 594827 kbdcontrol
> >> thanks
> >>
> >> The only remaining issue raised is with kbdcontrol so reassigning to that.
> >
> > Actually it's rather console-setup-udeb, and I believe it is fixed in
> > the latest versions.
> 
> Are you sure?  I don't see anything in 1.75 indicating a fix.

"Fix setupcon when called from the installer menu."

There are other fixes in 1.74, but iirc it the 1.75 fix is needed too.

> I also can't see how a change in D-I can help "dpkg-reconfigure
> keyboard-configuration" work in an installed system.

The bug report was about installation. Possibly bug 661825 also comes
into play here, but it's already being discussed, no need for another
bug report.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#594827; Package console-setup-udeb. (Sat, 03 Mar 2012 23:12:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 03 Mar 2012 23:12:11 GMT) Full text and rfc822 format available.

Message #73 received at 594827@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: 594827@bugs.debian.org
Subject: Re: Bug#594827: installation-reports: kFreeBSD install using, daily-build 20100828-3
Date: Sat, 03 Mar 2012 23:11:32 +0000
[Message part 1 (text/plain, inline)]
On 03/03/12 22:40, Samuel Thibault wrote:
> reassign 594827 console-setup-udeb
> done 594827 1.75
> thanks
> 
> Michael Dorrington, le Sat 03 Mar 2012 18:00:09 +0000, a écrit :
>> reassign 594827 kbdcontrol
>> thanks
>>
>> The only remaining issue raised is with kbdcontrol so reassigning to that.
> 
> Actually it's rather console-setup-udeb, and I believe it is fixed in
> the latest versions.

I installed with the latest mini.iso:
http://d-i.debian.org/daily-images/kfreebsd-i386/20120303-00:10/netboot/mini.iso
and the system still had the same problem, that the keyboard was not
configured as specified in the installer.  The system has both
console-setup and console-setup-freebsd at version 1.75.

Regards,
Mike.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#594827; Package console-setup-udeb. (Sat, 03 Mar 2012 23:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 03 Mar 2012 23:21:07 GMT) Full text and rfc822 format available.

Message #78 received at 594827@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Michael Dorrington <michael.dorrington@gmail.com>, 594827@bugs.debian.org
Subject: Re: Bug#594827: installation-reports: kFreeBSD install using, daily-build 20100828-3
Date: Sun, 4 Mar 2012 00:18:55 +0100
Michael Dorrington, le Sat 03 Mar 2012 23:11:32 +0000, a écrit :
> On 03/03/12 22:40, Samuel Thibault wrote:
> > reassign 594827 console-setup-udeb
> > done 594827 1.75
> > thanks
> > 
> > Michael Dorrington, le Sat 03 Mar 2012 18:00:09 +0000, a écrit :
> >> reassign 594827 kbdcontrol
> >> thanks
> >>
> >> The only remaining issue raised is with kbdcontrol so reassigning to that.
> > 
> > Actually it's rather console-setup-udeb, and I believe it is fixed in
> > the latest versions.
> 
> I installed with the latest mini.iso:
> http://d-i.debian.org/daily-images/kfreebsd-i386/20120303-00:10/netboot/mini.iso
> and the system still had the same problem, that the keyboard was not
> configured as specified in the installer.

But the installer had the keyboard properly configured, right?

For the installed system part, it's most probably to be discussed along
661825.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#594827; Package console-setup-udeb. (Sun, 04 Mar 2012 00:00:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 04 Mar 2012 00:00:35 GMT) Full text and rfc822 format available.

Message #83 received at 594827@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 594827@bugs.debian.org
Cc: Michael Dorrington <michael.dorrington@gmail.com>
Subject: Re: Bug#594827: installation-reports: kFreeBSD install using, daily-build 20100828-3
Date: Sun, 4 Mar 2012 00:56:52 +0100
El 4 de març de 2012 0:18, Samuel Thibault <sthibault@debian.org> ha escrit:
>> I installed with the latest mini.iso:
>> http://d-i.debian.org/daily-images/kfreebsd-i386/20120303-00:10/netboot/mini.iso
>> and the system still had the same problem, that the keyboard was not
>> configured as specified in the installer.
>
> But the installer had the keyboard properly configured, right?
>
> For the installed system part, it's most probably to be discussed along
> 661825.

661825 is merged with 594827, and you reassigned both bugs to
console-setup-udeb.  Did you mean to unmerge them?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#594827; Package console-setup-udeb. (Sun, 04 Mar 2012 00:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 04 Mar 2012 00:03:06 GMT) Full text and rfc822 format available.

Message #88 received at 594827@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: 594827@bugs.debian.org
Subject: Re: Bug#594827: installation-reports: kFreeBSD install using, daily-build 20100828-3
Date: Sun, 04 Mar 2012 00:00:26 +0000
[Message part 1 (text/plain, inline)]
On 03/03/12 23:18, Samuel Thibault wrote:
<snip>
> But the installer had the keyboard properly configured, right?

No, just retested and the keyboard is wrong/unconfigured after the
keyboard selection, when in hostname and domain entry.

> For the installed system part, it's most probably to be discussed along
> 661825.

Regards,
Mike.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#594827; Package console-setup-udeb. (Sun, 04 Mar 2012 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 04 Mar 2012 00:09:03 GMT) Full text and rfc822 format available.

Message #93 received at 594827@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 594827@bugs.debian.org, "661825@bugs.debian.org Michael Dorrington" <michael.dorrington@gmail.com>
Subject: Re: Bug#594827: installation-reports: kFreeBSD install using, daily-build 20100828-3
Date: Sun, 4 Mar 2012 01:08:20 +0100
unmerge 661825
reassign 661825 kbdcontrol
thanks

Robert Millan, le Sun 04 Mar 2012 00:56:52 +0100, a écrit :
> > For the installed system part, it's most probably to be discussed along
> > 661825.
> 
> 661825 is merged with 594827,

Ah, I hadn't noticed that.

> and you reassigned both bugs to console-setup-udeb.  Did you mean to
> unmerge them?

Yes.

Samuel




Disconnected #661825 from all other report(s). Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Sun, 04 Mar 2012 00:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#594827; Package console-setup-udeb. (Sun, 04 Mar 2012 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 04 Mar 2012 00:15:03 GMT) Full text and rfc822 format available.

Message #100 received at 594827@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Michael Dorrington <michael.dorrington@gmail.com>, 594827@bugs.debian.org
Subject: Re: Bug#594827: installation-reports: kFreeBSD install using, daily-build 20100828-3
Date: Sun, 4 Mar 2012 01:11:48 +0100
reopen 594827
thanks

Michael Dorrington, le Sun 04 Mar 2012 00:00:26 +0000, a écrit :
> On 03/03/12 23:18, Samuel Thibault wrote:
> <snip>
> > But the installer had the keyboard properly configured, right?
> 
> No, just retested and the keyboard is wrong/unconfigured after the
> keyboard selection, when in hostname and domain entry.

Damn, it was working when I tried.

Samuel




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:43:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.